> ## Name

> ZEnable - 3D API Z enable

> ## Usage

> ZEnable = bool(enable)

> ## Valid Enumerants

> enable: true, false

> ## Description

> Enable/disable depth testing. See the GL_DEPTH_TEST description on the OpenGL glEnable manual page for details. See the D3DRS_ZENABLE render state description for DirectX 9.

> The standard reset callback sets the ZEnable state to bool(false).

> ## Opengl Functionality Requirements

> OpenGL 1.0

> ## Direct3D Functionality Requirements

> DirectX 9

> ## See Also

> ClearDepth, DepthBias, DepthBounds, DepthBoundsEnable, DepthClampEnable, DepthFunc, DepthMask, DepthRange, DepthTestEnable, SlopScaleDepthBias, ZFunc, ZWriteEnable